콘텐츠로 이동

수익 요약 조회 (어제·주·월)

GET
/api/core/organization/{organizationId}/dashboard/revenue
curl --request GET \
--url https://www.easterad.com/api/core/organization/example/dashboard/revenue \
--header 'Authorization: Bearer <token>'
organizationId
required
string
appId
string

성공

Media typeapplication/json
object
day
required
object
cur
required
Any of:
string
Allowed value: CURRENCY_KRW
revenueMicros
required
string
growthRate
required
number
financialBreakdown
object
decisions
Array<object>
object
kind
required
Any of:
string
Allowed value: FINANCIAL_DECISION_KIND_ALLOCATION
currency
required
Any of:
string
Allowed value: CURRENCY_KRW
advertiserRevenueMicros
string
publisherPayableMicros
string
mediaCostMicros
string
platformProfitLossMicros
string
week
required
object
cur
required
Any of:
string
Allowed value: CURRENCY_KRW
revenueMicros
required
string
growthRate
required
number
financialBreakdown
object
decisions
Array<object>
object
kind
required
Any of:
string
Allowed value: FINANCIAL_DECISION_KIND_ALLOCATION
currency
required
Any of:
string
Allowed value: CURRENCY_KRW
advertiserRevenueMicros
string
publisherPayableMicros
string
mediaCostMicros
string
platformProfitLossMicros
string
month
required
object
cur
required
Any of:
string
Allowed value: CURRENCY_KRW
revenueMicros
required
string
growthRate
required
number
financialBreakdown
object
decisions
Array<object>
object
kind
required
Any of:
string
Allowed value: FINANCIAL_DECISION_KIND_ALLOCATION
currency
required
Any of:
string
Allowed value: CURRENCY_KRW
advertiserRevenueMicros
string
publisherPayableMicros
string
mediaCostMicros
string
platformProfitLossMicros
string
Example
{
"day": {
"cur": "CURRENCY_KRW",
"financialBreakdown": {
"decisions": [
{
"kind": "FINANCIAL_DECISION_KIND_ALLOCATION",
"currency": "CURRENCY_KRW"
}
]
}
},
"week": {
"cur": "CURRENCY_KRW",
"financialBreakdown": {
"decisions": [
{
"kind": "FINANCIAL_DECISION_KIND_ALLOCATION",
"currency": "CURRENCY_KRW"
}
]
}
},
"month": {
"cur": "CURRENCY_KRW",
"financialBreakdown": {
"decisions": [
{
"kind": "FINANCIAL_DECISION_KIND_ALLOCATION",
"currency": "CURRENCY_KRW"
}
]
}
}
}

오류 — 공통 오류 응답. 인증 단계 오류 코드는 문서의 “인증” 페이지를 참조.

Media typeapplication/json
object
statusCode
required
number
code
required

BadRequest | Unauthorized | Forbidden | NotFound | Conflict | TooManyRequests | InternalServerError | ServiceUnavailable

string
message
required
string
reason

선택 상세 사유. 예: CREATIVE_NOT_READY

string
assetId

관련 소재 ID (선택)

string
authorization
object
reason
required
Any of:
number
0
condition
required
Any of:
number
0
permissions
required
Array<object>
object
statement
required
string
label
required
string
Example
{
"authorization": {
"reason": 0,
"condition": 0
}
}